SORACOM Krypton API (20230923-000517)

Download OpenAPI specification:

SORACOM Krypton API v1

SORACOM Krypton

generateAmazonCognitoSessionCredentials

Generate AWS session credentials via Amazon Cognito

header Parameters
x-soracom-signature
string
x-soracom-timestamp
string
x-soracom-digest-algorithm
string
Request Body schema: application/json

keyId, requestParameters

keyId
string
object (ProvisioningRequestParameters)

Responses

Request samples

Content type
application/json
{
  • "keyId": "string",
  • "requestParameters": {
    }
}

Response samples

Content type
application/json
{
  • "credentials": {
    },
  • "identityId": "string",
  • "region": "string"
}

generateAmazonCognitoOpenIdToken

Generate Amazon Cognito Open ID token for the subscriber

header Parameters
x-soracom-signature
string
x-soracom-timestamp
string
x-soracom-digest-algorithm
string
Request Body schema: application/json

keyId, requestParameters

keyId
string
object (ProvisioningRequestParameters)

Responses

Request samples

Content type
application/json
{
  • "keyId": "string",
  • "requestParameters": {
    }
}

Response samples

Content type
application/json
{
  • "identityId": "string",
  • "region": "string",
  • "token": "string"
}

bootstrapAwsIotThing

Generate AWS IoT device certificate, provision a thing and return bootstrap information

header Parameters
x-soracom-signature
string
x-soracom-timestamp
string
x-soracom-digest-algorithm
string
Request Body schema: application/json

keyId, requestParameters. requestParameters may include thingName string value or skipCertificates boolean value. If the thingName is set, Thing Name will be its value. If the skipCertificates value is set to true, the server skips AWS IoT device certificate and root CA certificate in the response so that the response size fits in a small footprint.

keyId
string
object (ProvisioningRequestParameters)

Responses

Request samples

Content type
application/json
{
  • "keyId": "string",
  • "requestParameters": {
    }
}

Response samples

Content type
application/json
{
  • "certificate": "string",
  • "clientId": "string",
  • "host": "string",
  • "privateKey": "string",
  • "region": "string",
  • "rootCaCertificate": "string"
}

getAwsIotThingCACertificate

Fetches AWS IoT root CA certificate.

header Parameters
x-soracom-signature
string
x-soracom-timestamp
string
x-soracom-digest-algorithm
string
Request Body schema: application/json

keyId, requestParameters.

keyId
string
object (ProvisioningRequestParameters)

Responses

Request samples

Content type
application/json
{
  • "keyId": "string",
  • "requestParameters": {
    }
}

Response samples

Content type
application/json
{
  • "certificate": "string"
}

getAwsIotThingCertificate

Fetches AWS IoT device certificate with the certificate ID specified in the path.

path Parameters
cert_id
required
string

AWS IoT device certificate ID

header Parameters
x-soracom-signature
string
x-soracom-timestamp
string
x-soracom-digest-algorithm
string
Request Body schema: application/json

keyId, requestParameters.

keyId
string
object (ProvisioningRequestParameters)

Responses

Request samples

Content type
application/json
{
  • "keyId": "string",
  • "requestParameters": {
    }
}

Response samples

Content type
application/json
{
  • "certificate": "string"
}

registerAzureIotDevice

Register devices to Azure IoT Hub

header Parameters
x-soracom-signature
string
x-soracom-timestamp
string
x-soracom-digest-algorithm
string
Request Body schema: application/json

keyId, requestParameters. requestParameters should be empty

keyId
string
requestParameters
object

Responses

Request samples

Content type
application/json
{
  • "keyId": "string",
  • "requestParameters": { }
}

Response samples

Content type
application/json
{
  • "operationId": "string",
  • "status": "assigned"
}

getAzureIotDeviceRegistrationStatus

Get the IoT device registration status to the Microsoft Azure IoT Hub after calling registerAzureIotDevice

path Parameters
operation_id
required
string

Azure operation Id which is obtained after calling registerAzureIotDevice

header Parameters
x-soracom-signature
string
x-soracom-timestamp
string
x-soracom-digest-algorithm
string
Request Body schema: application/json

keyId, requestParameters. requestParameters should be empty

keyId
string
requestParameters
object

Responses

Request samples

Content type
application/json
{
  • "keyId": "string",
  • "requestParameters": { }
}

Response samples

Content type
application/json
{
  • "certificate": "string",
  • "deviceId": "string",
  • "host": "string",
  • "operationId": "string",
  • "privateKey": "string",
  • "rootCaCertificate": "string",
  • "status": "string"
}

getSubscriberMetadata

Gets subscriber metadata

header Parameters
x-soracom-signature
string
x-soracom-timestamp
string
x-soracom-digest-algorithm
string
Request Body schema: application/json

keyId, requestParameters

keyId
string
object (ProvisioningRequestParameters)

Responses

Request samples

Content type
application/json
{
  • "keyId": "string",
  • "requestParameters": {
    }
}

Response samples

Content type
application/json
{ }

getUserdata

Gets Userdata

header Parameters
x-soracom-signature
string
x-soracom-timestamp
string
x-soracom-digest-algorithm
string
Request Body schema: application/json

keyId, requestParameters

keyId
string
object (ProvisioningRequestParameters)

Responses

Request samples

Content type
application/json
{
  • "keyId": "string",
  • "requestParameters": {
    }
}

Response samples

Content type
application/json
{ }

bootstrap Arc device

Bootstrap a device on SORACOM Arc, and returns bootstrap information.

header Parameters
x-soracom-signature
string
x-soracom-timestamp
string
x-soracom-digest-algorithm
string

Responses

Response samples

Content type
application/json
{
  • "arcAllowedIPs": [
    ],
  • "arcClientPeerIpAddress": "string",
  • "arcClientPeerPrivateKey": "string",
  • "arcServerEndpoint": "string",
  • "arcServerPeerPublicKey": "string"
}

bootstrapInventoryDevice

Creates a SORACOM Inventory device and returns bootstrap information

header Parameters
x-soracom-signature
string
x-soracom-timestamp
string
x-soracom-digest-algorithm
string
Request Body schema: application/json
required

keyId, endpoint, requestParameters

endpoint
required
string
keyId
string
requestParameters
string

Responses

Request samples

Content type
application/json
{
  • "endpoint": "string",
  • "keyId": "string",
  • "requestParameters": "string"
}

Response samples

Content type
application/json
{
  • "applicationKey": "string",
  • "pskId": "string",
  • "serverUri": "string",
  • "shortServerId": "string"
}

SORACOM Endorse

listKeys

Returns a list of keys for a subscriber

query Parameters
last_evaluated_key
string
limit
integer <int32>
Default: -1

Responses

Response samples

Content type
application/json
[
  • {
    }
]

createKey

Create a new master key for a subscriber.

Request Body schema: application/json
required
auts
string
imsi
required
string
rand
string

Responses

Request samples

Content type
application/json
{
  • "auts": "string",
  • "imsi": "string",
  • "rand": "string"
}

Response samples

Content type
application/json
{
  • "autn": "string",
  • "expiryTime": 0,
  • "keyId": "string",
  • "rand": "string"
}

verifyKey

Verify a key for a subscriber specified by a key ID

path Parameters
key_id
required
string

Key ID

Request Body schema: application/json
required
res
string

Responses

Request samples

Content type
application/json
{
  • "res": "string"
}

Response samples

Content type
application/json
{
  • "createdTime": 0,
  • "expiryTime": 0,
  • "imsi": "string",
  • "keyId": "string",
  • "lastUsedTime": "2019-08-24T14:15:22Z",
  • "operatorId": "string",
  • "status": "active",
  • "verifiedTime": 0
}